JUCE: juce::midi_ci::ProfileAtAddress Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::midi_ci::ProfileAtAddress Class Reference
juce_midi_ci » ci

Holds a profile ID, and the address of a group/channel. More...

`#include <juce_CIProfileAtAddress.h>`

## Public Member Functions
bool | operator== (const ProfileAtAddress &x) const
bool | operator!= (const ProfileAtAddress &x) const
bool | operator< (const ProfileAtAddress &x) const
bool | operator<= (const ProfileAtAddress &x) const
bool | operator> (const ProfileAtAddress &x) const
bool | operator>= (const ProfileAtAddress &x) const

## Public Attributes
Profile | profile
| The id of a MIDI-CI profile.
ChannelAddress | address
| A group and channel.

## Detailed Description

Holds a profile ID, and the address of a group/channel.

## Member Function Documentation

## ◆ operator==()

bool juce::midi_ci::ProfileAtAddress::operator== | ( | const ProfileAtAddress & | x | ) | const

References x.

## ◆ operator!=()

bool juce::midi_ci::ProfileAtAddress::operator!= | ( | const ProfileAtAddress & | x | ) | const

References x.

## ◆ operator<()

bool juce::midi_ci::ProfileAtAddress::operator< | ( | const ProfileAtAddress & | x | ) | const

References x.

## ◆ operator<=()

bool juce::midi_ci::ProfileAtAddress::operator<= | ( | const ProfileAtAddress & | x | ) | const

References x.

## ◆ operator>()

bool juce::midi_ci::ProfileAtAddress::operator> | ( | const ProfileAtAddress & | x | ) | const

References x.

## ◆ operator>=()

bool juce::midi_ci::ProfileAtAddress::operator>= | ( | const ProfileAtAddress & | x | ) | const

References x.

## Member Data Documentation

## ◆ profile

Profile juce::midi_ci::ProfileAtAddress::profile

The id of a MIDI-CI profile.

Referenced by juce::midi_ci::ProfileHost::getState().

## ◆ address

ChannelAddress juce::midi_ci::ProfileAtAddress::address

A group and channel.

Referenced by juce::midi_ci::ProfileHost::getState().

The documentation for this class was generated from the following file:

- juce_CIProfileAtAddress.h